#MPI Drive Parameters

# "Kollmorgen S200" "2.0a" "2.1a" "2.1b"
#parameters
0   ARF0		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #1"
1   ARF1		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #2"
2   BAT_F_DIS		rw	signed32	{*}	0	"Selects between enabling or disabling the battery low fault"
3   CMD_F0		rw	single	{*}	0	"Sets the break frequency for the low pass filter applied to the command"
4   CMD_SRC		rw	signed32	{*}	0	"Selects the source of the command to be delivered"
5   COMM_MODE		rw	signed32	{*}	0	"Sets the drive mode of commutation"
6   COMM_OFF    	rw	single	{*}	0	"Sets the commutation offset value"
7   DINP1_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP1"
8   DINP2_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP2"
9   DINP3_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP3"
10  DINP4_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP4"
11  HS_INP1_POL 	rw	signed32	{*}	0	"Selects the input polarity of HSInp1"
12  DM1_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon1 output pin"
13  DM2_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon2 output pin"
14  D_POLES     	rw	signed32	{*}	0	"Sets the motor pole count"
15  ENC_OUT     	rw	signed32	{*}	0	"Selects the emulated encoders output line count"
16  FLT_DIAG    	rw	signed32	{*}	0	"Select between the DOUT1 line being a standard drive faulted output OR a diagnostic blink code output"
17  I2T_F0      	rw	single	{*}	0	"Sets the break frequency of the low pass filter for the I2T fault"
18  I2T_TRIP 		rw	single	{*}	0	"Sets the I2T fault trip level"
19  I_LMT_PLUS  	rw	signed32	{*}	0	"Sets the clockwise current limit"
20  I_LMT_MINUS 	rw	signed32	{*}	0	"Sets the counter-clockwise current limit"
21  IT_MODE     	rw	signed32	{*}	0	"Selects whether the drive I*T faults or automatically folds back current limits"
22  KIP 		rw	single	{*}	0	"Sets the proportional gain of the current loop"
23  KVI         	rw	single	{*}	0	"Sets the integral gain of the velocity loop"
24  KVP 		rw	single	{*}	0	"Sets the proportional gain of the velocity loop"
25  SEL_SFD_PARAM	rw	signed32	{*}	0	"Sets whether the SFD parameter settings are used OR the drive settings are used"
26  SFD_SPAN    	rw	signed32	{*}	0	"Sets whether the drive faults on any SFD communications error OR not"
27  CMD_IN 		ro	single	{*}	0	"Indicates the drive command value"
28  DINP1       	ro	signed32	{*}	0	"Indicates the state of IO input DINP1"
29  EXT_FAULTS  	ro	signed32	{*}	0	"Indicates the drive extended fault code"
30  HS_TEMP     	ro	single	{*}	0	"Indicates the drive heat sink temperature"
31  I_FB        	ro	single	{*}	0	"Torque producing derotated current (Iq)"
32  ID_FB       	ro	single	{*}	0	"Non-torque producing derotated current (Id)"
33  LOGIC_VER   	ro	signed32	{*}	0	"Indicates the version number of the drive logic"
34  MODEL       	ro	signed32	{*}	0	"Indicates the drive model number"
35  MTEMP		ro	single	{*}	0	"Indicates the motor temperature"
36  POS_FB		ro	single	{*}	0	"Indicates instantaneous motor shaft position within one motor rev"
37  PWM_LO		ro	signed32	{*}	0	"Indicates whether the drive has switched to half base PWM frequency"
38  SERIAL_NUM		ro	string	{*}	0	"Indicates the drive serial number"
39  SETUP_S1		ro	signed32	{*}	0	"Indicates the state of the drive rotary switch S1"
40  SETUP_S2		ro	signed32	{*}	0	"Indicates the state of the drive dip switch S2"
41  SFD_EXT_FAULTS	ro	signed32	{*}	0	"Indicates the faultcode of the SFD"
42  SIX_STEP		ro	signed32	{*}	0	"Indicates whether the drive is using six step or sinusoidal commutation"
43  V_BUS		ro	single	{*}	0	"Indicates the drive bus voltage"
44  VER_LW		ro	string	{*}	0	"Indicates the version number of the drive firmware"
45  VELOCITY 		ro	signed32	{*}	0	"Indicates the filtered shaft feedback velocity"
46  SFD_POS_MT    	ro	signed32	{*}	0	"Indicates the instantaneous motor shaft position in units of multi-turns from the SFD feedback"

#config
SEL_SFD_PARAM
ARF0
ARF1
BAT_F_DIS
CMD_F0
CMD_SRC
COMM_MODE
COMM_OFF    
DINP1_POL   
DINP2_POL   
DINP3_POL   
DINP4_POL   
HS_INP1_POL 
DM1_MAP     
DM2_MAP     
D_POLES     
ENC_OUT     
FLT_DIAG    
I2T_F0      
I2T_TRIP 
I_LMT_PLUS  
I_LMT_MINUS 
IT_MODE     
KIP 
KVI         
KVP 
SFD_SPAN    
LOGIC_VER   
MODEL       
SIX_STEP
VER_LW
#end

# "Kollmorgen S200" "129.0a" "130.0a" "3.0a"
#parameters
0   ARF0		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #1"
1   ARF1		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #2"
2   BAT_F_DIS		rw	signed32	{*}	0	"Selects between enabling or disabling the battery low fault"
3   CMD_F0		rw	single	{*}	0	"Sets the break frequency for the low pass filter applied to the command"
4   CMD_SRC		rw	signed32	{*}	0	"Selects the source of the command to be delivered"
5   COMM_MODE		rw	signed32	{*}	0	"Sets the drive mode of commutation"
6   COMM_OFF    	rw	single	{*}	0	"Sets the commutation offset value"
7   DINP1_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP1"
8   DINP2_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP2"
9   DINP3_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP3"
10  DINP4_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP4"
11  HS_INP1_POL 	rw	signed32	{*}	0	"Selects the input polarity of HSInp1"
12  DM1_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon1 output pin"
13  DM2_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon2 output pin"
14  D_POLES     	rw	signed32	{*}	0	"Sets the motor pole count"
15  ENC_OUT     	rw	signed32	{*}	0	"Selects the emulated encoders output line count"
16  FLT_DIAG    	rw	signed32	{*}	0	"Select between the DOUT1 line being a standard drive faulted output OR a diagnostic blink code output"
17  I2T_F0      	rw	single	{*}	0	"Sets the break frequency of the low pass filter for the I2T fault"
18  I2T_TRIP 		rw	single	{*}	0	"Sets the I2T fault trip level"
19  I_LMT_PLUS  	rw	signed32	{*}	0	"Sets the clockwise current limit"
20  I_LMT_MINUS 	rw	signed32	{*}	0	"Sets the counter-clockwise current limit"
21  IT_MODE     	rw	signed32	{*}	0	"Selects whether the drive I*T faults or automatically folds back current limits"
22  KIP 		rw	single	{*}	0	"Sets the proportional gain of the current loop"
23  KVI         	rw	single	{*}	0	"Sets the integral gain of the velocity loop"
24  KVP 		rw	single	{*}	0	"Sets the proportional gain of the velocity loop"
25  SEL_SFD_PARAM	rw	signed32	{*}	0	"Sets whether the SFD parameter settings are used OR the drive settings are used"
26  SFD_SPAN    	rw	signed32	{*}	0	"Sets whether the drive faults on any SFD communications error OR not"
27  CMD_IN 		ro	single	{*}	0	"Indicates the drive command value"
28  DINP1       	ro	signed32	{*}	0	"Indicates the state of IO input DINP1"
29  EXT_FAULTS  	ro	signed32	{*}	0	"Indicates the drive extended fault code"
30  HS_TEMP     	ro	single	{*}	0	"Indicates the drive heat sink temperature"
31  I_FB        	ro	single	{*}	0	"Torque producing derotated current (Iq)"
32  ID_FB       	ro	single	{*}	0	"Non-torque producing derotated current (Id)"
33  LOGIC_VER   	ro	signed32	{*}	0	"Indicates the version number of the drive logic"
34  MODEL       	ro	signed32	{*}	0	"Indicates the drive model number"
35  MTEMP		ro	single	{*}	0	"Indicates the motor temperature"
36  POS_FB		ro	single	{*}	0	"Indicates instantaneous motor shaft position within one motor rev"
37  PWM_LO		ro	signed32	{*}	0	"Indicates whether the drive has switched to half base PWM frequency"
38  SERIAL_NUM		ro	string	{*}	0	"Indicates the drive serial number"
39  SETUP_S1		ro	signed32	{*}	0	"Indicates the state of the drive rotary switch S1"
40  SETUP_S2		ro	signed32	{*}	0	"Indicates the state of the drive dip switch S2"
41  SFD_EXT_FAULTS	ro	signed32	{*}	0	"Indicates the faultcode of the SFD"
42  SIX_STEP		ro	signed32	{*}	0	"Indicates whether the drive is using six step or sinusoidal commutation"
43  V_BUS		ro	single	{*}	0	"Indicates the drive bus voltage"
44  VER_LW		ro	string	{*}	0	"Indicates the version number of the drive firmware"
45  VELOCITY 		ro	signed32	{*}	0	"Indicates the filtered shaft feedback velocity"
46  SFD_POS_MT    	ro	signed32	{*}	0	"Indicates the instantaneous motor shaft position in units of multi-turns from the SFD feedback"
47  AUX_FB_DIVISOR      	rw	unsigned32	{*}	0	""
48  AUX_FB_TYPE		rw	enumerated	{0x0=A_QUAD_B_HALLS,0x1=VPP_SIN_COS_HALLS,0x8=A_QUAD_B,0x9=VPP_SIN_COS,0xF=EN_DAT  }	8	""
49  FB_SRC		rw	unsigned32	{*}	0	""
50  AUX_FB_COM_ANG	ro	single	{*}	0	""
51  AUX_FB_ENDAT_FLT	ro	unsigned32	{*}	0	""
52  AUX_FB_HALL_FLT	ro	unsigned32	{*}	0	""
53  AUX_FB_SCD_FLT	ro	unsigned32	{*}	0	""
54  AUX_FB_PTC_FLT	ro	unsigned32	{*}	0	""
55  ENDAT_DIST_MT	ro	unsigned32	{*}	0	""
56  ENDAT_PPR		ro	unsigned32	{*}	0	""
57  SFDMEMORY_DPOLES    	ro	unsigned32	{*}	0	"Data From SFD -"
58  SFDMEMORY_LQLL	ro	single	{*}	0	"Data From SFD - "
59  SFDMEMORY_LDLL	ro	single	{*}	0	"Data From SFD - "
60  SFDMEMORY_MOT_T_LIM	ro	unsigned32	{*}	0	"Data From SFD - "
61  SFDMEMORY_KVP_AUTO	ro	single	{*}	0	"Data From SFD - "
62  SFDMEMORY_MI_PEAK	ro	single	{*}	0	"Data From SFD - "
63  SFDMEMORY_MI_CONT	ro	single  	{*}	0	"Data From SFD - "
64  SFDMEMORY_MTF0	ro	single	{*}	0	"Data From SFD - "
65  SFDMEMORY_MPOLES	ro	unsigned32	{*}	0	"Data From SFD - "
66  SFDMEMORY_KE	ro	single	{*}	0	"Data From SFD - "
67  SFDMEMORY_KT	ro	single	{*}	0	"Data From SFD - "
68  SFDMEMORY_RLL	ro	single  	{*}	0	"Data From SFD - "
69  SFDMEMORY_KDV	ro	single  	{*}	0	"Data From SFD - "
70  SFDMEMORY_JMTOT	ro	single  	{*}	0	"Data From SFD - "
71  SFDMEMORY_MEM_VER	ro	unsigned32	{0~255}	0	"Data From SFD -SFD memory version 0= not installed. "
72  SFDMEMORY_DC_YEAR	ro	unsigned32	{2000~2999}	2000	"Data From SFD - "
73  SFDMEMORY_DC_WEEK	ro	unsigned32	{*}	0	"Data From SFD - "
74  SFDMEMORY_M_NUM	ro	string  	{*}	0	"Data From SFD - "

#config
SEL_SFD_PARAM
ARF0
ARF1
BAT_F_DIS
CMD_F0
CMD_SRC
COMM_MODE
COMM_OFF    
DINP1_POL   
DINP2_POL   
DINP3_POL   
DINP4_POL   
HS_INP1_POL 
DM1_MAP     
DM2_MAP     
D_POLES     
ENC_OUT     
FLT_DIAG    
I2T_F0      
I2T_TRIP 
I_LMT_PLUS  
I_LMT_MINUS 
IT_MODE     
KIP 
KVI         
KVP 
SFD_SPAN    
LOGIC_VER   
MODEL       
SIX_STEP
VER_LW
AUX_FB_DIVISOR
AUX_FB_TYPE
FB_SRC
#end

# "Kollmorgen S200" "3.1a"
#parameters
0   ARF0		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #1"
1   ARF1		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #2"
2   BAT_F_DIS		rw	signed32	{*}	0	"Selects between enabling or disabling the battery low fault"
3   CMD_F0		rw	single	{*}	0	"Sets the break frequency for the low pass filter applied to the command"
4   CMD_SRC		rw	signed32	{*}	0	"Selects the source of the command to be delivered"
5   COMM_MODE		rw	signed32	{*}	0	"Sets the drive mode of commutation"
6   COMM_OFF    	rw	single	{*}	0	"Sets the commutation offset value"
7   DINP1_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP1"
8   DINP2_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP2"
9   DINP3_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP3"
10  DINP4_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP4"
11  HS_INP1_POL 	rw	signed32	{*}	0	"Selects the input polarity of HSInp1"
12  DM1_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon1 output pin"
13  DM2_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon2 output pin"
14  D_POLES     	rw	signed32	{*}	0	"Sets the motor pole count"
15  ENC_OUT     	rw	signed32	{*}	0	"Selects the emulated encoders output line count"
16  FLT_DIAG    	rw	signed32	{*}	0	"Select between the DOUT1 line being a standard drive faulted output OR a diagnostic blink code output"
17  I2T_F0      	rw	single	{*}	0	"Sets the break frequency of the low pass filter for the I2T fault"
18  I2T_TRIP 		rw	single	{*}	0	"Sets the I2T fault trip level"
19  I_LMT_PLUS  	rw	signed32	{*}	0	"Sets the clockwise current limit"
20  I_LMT_MINUS 	rw	signed32	{*}	0	"Sets the counter-clockwise current limit"
21  IT_MODE     	rw	signed32	{*}	0	"Selects whether the drive I*T faults or automatically folds back current limits"
22  KIP 		rw	single	{*}	0	"Sets the proportional gain of the current loop"
23  KVI         	rw	single	{*}	0	"Sets the integral gain of the velocity loop"
24  KVP 		rw	single	{*}	0	"Sets the proportional gain of the velocity loop"
25  SEL_SFD_PARAM	rw	signed32	{*}	0	"Sets whether the SFD parameter settings are used OR the drive settings are used"
26  SFD_SPAN    	rw	signed32	{*}	0	"Sets whether the drive faults on any SFD communications error OR not"
27  CMD_IN 		ro	single	{*}	0	"Indicates the drive command value"
28  DINP1       	ro	signed32	{*}	0	"Indicates the state of IO input DINP1"
29  EXT_FAULTS  	ro	signed32	{*}	0	"Indicates the drive extended fault code"
30  HS_TEMP     	ro	single	{*}	0	"Indicates the drive heat sink temperature"
31  I_FB        	ro	single	{*}	0	"Torque producing derotated current (Iq)"
32  ID_FB       	ro	single	{*}	0	"Non-torque producing derotated current (Id)"
33  LOGIC_VER   	ro	signed32	{*}	0	"Indicates the version number of the drive logic"
34  MODEL       	ro	signed32	{*}	0	"Indicates the drive model number"
35  MTEMP		ro	single	{*}	0	"Indicates the motor temperature"
36  POS_FB		ro	single	{*}	0	"Indicates instantaneous motor shaft position within one motor rev"
37  PWM_LO		ro	signed32	{*}	0	"Indicates whether the drive has switched to half base PWM frequency"
38  SERIAL_NUM		ro	string	{*}	0	"Indicates the drive serial number"
39  SETUP_S1		ro	signed32	{*}	0	"Indicates the state of the drive rotary switch S1"
40  SETUP_S2		ro	signed32	{*}	0	"Indicates the state of the drive dip switch S2"
41  SFD_EXT_FAULTS	ro	signed32	{*}	0	"Indicates the faultcode of the SFD"
42  SIX_STEP		ro	signed32	{*}	0	"Indicates whether the drive is using six step or sinusoidal commutation"
43  V_BUS		ro	single	{*}	0	"Indicates the drive bus voltage"
44  VER_LW		ro	string	{*}	0	"Indicates the version number of the drive firmware"
45  VELOCITY 		ro	signed32	{*}	0	"Indicates the filtered shaft feedback velocity"
46  SFD_POS_MT    	ro	signed32	{*}	0	"Indicates the instantaneous motor shaft position in units of multi-turns from the SFD feedback"
47  AUX_FB_DIVISOR      	rw	unsigned32	{*}	0	""
48  AUX_FB_TYPE		rw	enumerated	{0x0=A_QUAD_B_HALLS,0x1=VPP_SIN_COS_HALLS,0x8=A_QUAD_B,0x9=VPP_SIN_COS,0xF=EN_DAT  }	8	""
49  FB_SRC		rw	unsigned32	{*}	0	""
50  AUX_FB_COM_ANG	ro	single	{*}	0	""
51  AUX_FB_ENDAT_FLT	ro	unsigned32	{*}	0	""
52  AUX_FB_HALL_FLT	ro	unsigned32	{*}	0	""
53  AUX_FB_SCD_FLT	ro	unsigned32	{*}	0	""
54  AUX_FB_PTC_FLT	ro	unsigned32	{*}	0	""
55  ENDAT_DIST_MT	ro	unsigned32	{*}	0	""
56  ENDAT_PPR		ro	unsigned32	{*}	0	""
57  SFDMEMORY_DPOLES    	ro	unsigned32	{*}	0	"Data From SFD -"
58  SFDMEMORY_LQLL	ro	single	{*}	0	"Data From SFD - "
59  SFDMEMORY_LDLL	ro	single	{*}	0	"Data From SFD - "
60  SFDMEMORY_MOT_T_LIM	ro	unsigned32	{*}	0	"Data From SFD - "
61  SFDMEMORY_KVP_AUTO	ro	single	{*}	0	"Data From SFD - "
62  SFDMEMORY_MI_PEAK	ro	single	{*}	0	"Data From SFD - "
63  SFDMEMORY_MI_CONT	ro	single  	{*}	0	"Data From SFD - "
64  SFDMEMORY_MTF0	ro	single	{*}	0	"Data From SFD - "
65  SFDMEMORY_MPOLES	ro	unsigned32	{*}	0	"Data From SFD - "
66  SFDMEMORY_KE	ro	single	{*}	0	"Data From SFD - "
67  SFDMEMORY_KT	ro	single	{*}	0	"Data From SFD - "
68  SFDMEMORY_RLL	ro	single  	{*}	0	"Data From SFD - "
69  SFDMEMORY_KDV	ro	single  	{*}	0	"Data From SFD - "
70  SFDMEMORY_JMTOT	ro	single  	{*}	0	"Data From SFD - "
71  SFDMEMORY_MEM_VER	ro	unsigned32	{0~255}	0	"Data From SFD -SFD memory version 0= not installed. "
72  SFDMEMORY_DC_YEAR	ro	unsigned32	{2000~2999}	2000	"Data From SFD - "
73  SFDMEMORY_DC_WEEK	ro	unsigned32	{*}	0	"Data From SFD - "
74  SFDMEMORY_M_NUM	ro	string  	{*}	0	"Data From SFD - "
75  ENC_OUT_PPR		rw	unsigned32	{0~65535}	32768	"EncOut pulses per rev"

#config
SEL_SFD_PARAM
ARF0
ARF1
BAT_F_DIS
CMD_F0
CMD_SRC
COMM_MODE
COMM_OFF    
DINP1_POL   
DINP2_POL   
DINP3_POL   
DINP4_POL   
HS_INP1_POL 
DM1_MAP     
DM2_MAP     
D_POLES     
ENC_OUT     
FLT_DIAG    
I2T_F0      
I2T_TRIP 
I_LMT_PLUS  
I_LMT_MINUS 
IT_MODE     
KIP 
KVI         
KVP 
SFD_SPAN    
LOGIC_VER   
MODEL       
SIX_STEP
VER_LW
AUX_FB_DIVISOR
AUX_FB_TYPE
FB_SRC
ENC_OUT_PPR
#end

# "Kollmorgen S200" "3.2a" "3.2e"
#parameters
0   ARF0		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #1"
1   ARF1		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #2"
2   BAT_F_DIS		rw	signed32	{*}	0	"Selects between enabling or disabling the battery low fault"
3   CMD_F0		rw	single	{*}	0	"Sets the break frequency for the low pass filter applied to the command"
4   CMD_SRC		rw	signed32	{*}	0	"Selects the source of the command to be delivered"
5   COMM_MODE		rw	signed32	{*}	0	"Sets the drive mode of commutation"
6   COMM_OFF    	rw	single	{*}	0	"Sets the commutation offset value"
7   DINP1_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP1"
8   DINP2_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP2"
9   DINP3_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP3"
10  DINP4_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP4"
11  HS_INP1_POL 	rw	signed32	{*}	0	"Selects the input polarity of HSInp1"
12  DM1_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon1 output pin"
13  DM2_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon2 output pin"
14  D_POLES     	rw	signed32	{*}	0	"Sets the motor pole count"
15  ENC_OUT     	rw	signed32	{*}	0	"Selects the emulated encoders output line count"
16  FLT_DIAG    	rw	signed32	{*}	0	"Select between the DOUT1 line being a standard drive faulted output OR a diagnostic blink code output"
17  I2T_F0      	rw	single	{*}	0	"Sets the break frequency of the low pass filter for the I2T fault"
18  I2T_TRIP 		rw	single	{*}	0	"Sets the I2T fault trip level"
19  I_LMT_PLUS  	rw	signed32	{*}	0	"Sets the clockwise current limit"
20  I_LMT_MINUS 	rw	signed32	{*}	0	"Sets the counter-clockwise current limit"
21  IT_MODE     	rw	signed32	{*}	0	"Selects whether the drive I*T faults or automatically folds back current limits"
22  KIP 		rw	single	{*}	0	"Sets the proportional gain of the current loop"
23  KVI         	rw	single	{*}	0	"Sets the integral gain of the velocity loop"
24  KVP 		rw	single	{*}	0	"Sets the proportional gain of the velocity loop"
25  SEL_SFD_PARAM	rw	signed32	{*}	0	"Sets whether the SFD parameter settings are used OR the drive settings are used"
26  SFD_SPAN    	rw	signed32	{*}	0	"Sets whether the drive faults on any SFD communications error OR not"
27  CMD_IN 		ro	single	{*}	0	"Indicates the drive command value"
28  DINP1       	ro	signed32	{*}	0	"Indicates the state of IO input DINP1"
29  EXT_FAULTS  	ro	signed32	{*}	0	"Indicates the drive extended fault code"
30  HS_TEMP     	ro	single	{*}	0	"Indicates the drive heat sink temperature"
31  I_FB        	ro	single	{*}	0	"Torque producing derotated current (Iq)"
32  ID_FB       	ro	single	{*}	0	"Non-torque producing derotated current (Id)"
33  LOGIC_VER   	ro	signed32	{*}	0	"Indicates the version number of the drive logic"
34  MODEL       	ro	signed32	{*}	0	"Indicates the drive model number"
35  MTEMP		ro	single	{*}	0	"Indicates the motor temperature"
36  POS_FB		ro	single	{*}	0	"Indicates instantaneous motor shaft position within one motor rev"
37  PWM_LO		ro	signed32	{*}	0	"Indicates whether the drive has switched to half base PWM frequency"
38  SERIAL_NUM		ro	string	{*}	0	"Indicates the drive serial number"
39  SETUP_S1		ro	signed32	{*}	0	"Indicates the state of the drive rotary switch S1"
40  SETUP_S2		ro	signed32	{*}	0	"Indicates the state of the drive dip switch S2"
41  SFD_EXT_FAULTS	ro	signed32	{*}	0	"Indicates the faultcode of the SFD"
42  SIX_STEP		ro	signed32	{*}	0	"Indicates whether the drive is using six step or sinusoidal commutation"
43  V_BUS		ro	single	{*}	0	"Indicates the drive bus voltage"
44  VER_LW		ro	string	{*}	0	"Indicates the version number of the drive firmware"
45  VELOCITY 		ro	signed32	{*}	0	"Indicates the filtered shaft feedback velocity"
46  SFD_POS_MT    	ro	signed32	{*}	0	"Indicates the instantaneous motor shaft position in units of multi-turns from the SFD feedback"
47  AUX_FB_DIVISOR      	rw	unsigned32	{*}	0	""
48  AUX_FB_TYPE		rw	enumerated	{0x0=A_QUAD_B_HALLS,0x1=VPP_SIN_COS_HALLS,0x8=A_QUAD_B,0x9=VPP_SIN_COS,0xF=EN_DAT  }	8	""
49  FB_SRC		rw	unsigned32	{*}	0	""
50  AUX_FB_COM_ANG	ro	single	{*}	0	""
51  AUX_FB_ENDAT_FLT	ro	unsigned32	{*}	0	""
52  AUX_FB_HALL_FLT	ro	unsigned32	{*}	0	""
53  AUX_FB_SCD_FLT	ro	unsigned32	{*}	0	""
54  AUX_FB_PTC_FLT	ro	unsigned32	{*}	0	""
55  ENDAT_DIST_MT	ro	unsigned32	{*}	0	""
56  ENDAT_PPR		ro	unsigned32	{*}	0	""
57  SFDMEMORY_DPOLES    	ro	unsigned32	{*}	0	"Data From SFD -"
58  SFDMEMORY_LQLL	ro	single	{*}	0	"Data From SFD - "
59  SFDMEMORY_LDLL	ro	single	{*}	0	"Data From SFD - "
60  SFDMEMORY_MOT_T_LIM	ro	unsigned32	{*}	0	"Data From SFD - "
61  SFDMEMORY_KVP_AUTO	ro	single	{*}	0	"Data From SFD - "
62  SFDMEMORY_MI_PEAK	ro	single	{*}	0	"Data From SFD - "
63  SFDMEMORY_MI_CONT	ro	single  	{*}	0	"Data From SFD - "
64  SFDMEMORY_MTF0	ro	single	{*}	0	"Data From SFD - "
65  SFDMEMORY_MPOLES	ro	unsigned32	{*}	0	"Data From SFD - "
66  SFDMEMORY_KE	ro	single	{*}	0	"Data From SFD - "
67  SFDMEMORY_KT	ro	single	{*}	0	"Data From SFD - "
68  SFDMEMORY_RLL	ro	single  	{*}	0	"Data From SFD - "
69  SFDMEMORY_KDV	ro	single  	{*}	0	"Data From SFD - "
70  SFDMEMORY_JMTOT	ro	single  	{*}	0	"Data From SFD - "
71  SFDMEMORY_MEM_VER	ro	unsigned32	{0~255}	0	"Data From SFD -SFD memory version 0= not installed. "
72  SFDMEMORY_DC_YEAR	ro	unsigned32	{2000~2999}	2000	"Data From SFD - "
73  SFDMEMORY_DC_WEEK	ro	unsigned32	{*}	0	"Data From SFD - "
74  SFDMEMORY_M_NUM	ro	string  	{*}	0	"Data From SFD - "
75  ENC_OUT_PPR		rw	unsigned32	{0~65535}	32768	"EncOut pulses per rev"
76  KVI_0		rw	single	{*}	0	"KVI gain table 0"	
77  KVI_1		rw	single	{*}	0	"KVI gain table 1" 	
78  KVI_2		rw	single	{*}	0	"KVI gain table 2"	
79  KVI_3		rw	single	{*}	0	"KVI gain table 3"	
80  KVI_4		rw	single	{*}	0	"KVI gain table 4"	
81  KVI_5		rw	single	{*}	0	"KVI gain table 5"	
82  KVI_6		rw	single	{*}	0	"KVI gain table 6" 	
83  KVI_7		rw	single	{*}	0	"KVI gain table 7" 	
84  KVP_0		rw	single	{*}	0	"KVP gain table 0" 	
85  KVP_1		rw	single	{*}	0	"KVP gain table 1"  	
86  KVP_2		rw	single	{*}	0	"KVP gain table 2"  	
87  KVP_3		rw	single	{*}	0	"KVP gain table 3"  	
88  KVP_4		rw	single	{*}	0	"KVP gain table 4"  	
89  KVP_5		rw	single	{*}	0	"KVP gain table 5"  	
90  KVP_6		rw	single	{*}	0	"KVP gain table 6"  	
91  KVP_7		rw	single	{*}	0	"KVP gain table 7" 
92  ENC_OUT_OFFSET	rw	unsigned32	{0~65535}	0	"EncOut Z pulse offset" 

#config
SEL_SFD_PARAM
ARF0
ARF1
BAT_F_DIS
CMD_F0
CMD_SRC
COMM_MODE
COMM_OFF    
DINP1_POL   
DINP2_POL   
DINP3_POL   
DINP4_POL   
HS_INP1_POL 
DM1_MAP     
DM2_MAP     
D_POLES     
ENC_OUT     
FLT_DIAG    
I2T_F0      
I2T_TRIP 
I_LMT_PLUS  
I_LMT_MINUS 
IT_MODE     
KIP 
KVI         
KVP 
SFD_SPAN    
LOGIC_VER   
MODEL       
SIX_STEP
VER_LW
AUX_FB_DIVISOR
AUX_FB_TYPE
FB_SRC
ENC_OUT_PPR
ENC_OUT_OFFSET
#end

# "Kollmorgen S200" "3.2i" "3.2j" "3.2k"
#parameters
0   ARF0		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #1"
1   ARF1		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #2"
2   BAT_F_DIS		rw	signed32	{*}	0	"Selects between enabling or disabling the battery low fault"
3   CMD_F0		rw	single	{*}	0	"Sets the break frequency for the low pass filter applied to the command"
4   CMD_SRC		rw	signed32	{*}	0	"Selects the source of the command to be delivered"
5   COMM_MODE		rw	signed32	{*}	0	"Sets the drive mode of commutation"
6   COMM_OFF    	rw	single	{*}	0	"Sets the commutation offset value"
7   DINP1_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP1"
8   DINP2_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP2"
9   DINP3_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP3"
10  DINP4_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP4"
11  HS_INP1_POL 	rw	signed32	{*}	0	"Selects the input polarity of HSInp1"
12  DM1_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon1 output pin"
13  DM2_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon2 output pin"
14  D_POLES     	rw	signed32	{*}	0	"Sets the motor pole count"
15  ENC_OUT     	rw	signed32	{*}	0	"Selects the emulated encoders output line count"
16  FLT_DIAG    	rw	signed32	{*}	0	"Select between the DOUT1 line being a standard drive faulted output OR a diagnostic blink code output"
17  I2T_F0      	rw	single	{*}	0	"Sets the break frequency of the low pass filter for the I2T fault"
18  I2T_TRIP 		rw	single	{*}	0	"Sets the I2T fault trip level"
19  I_LMT_PLUS  	rw	signed32	{*}	0	"Sets the clockwise current limit"
20  I_LMT_MINUS 	rw	signed32	{*}	0	"Sets the counter-clockwise current limit"
21  IT_MODE     	rw	signed32	{*}	0	"Selects whether the drive I*T faults or automatically folds back current limits"
22  KIP 		rw	single	{*}	0	"Sets the proportional gain of the current loop"
23  KVI         	rw	single	{*}	0	"Sets the integral gain of the velocity loop"
24  KVP 		rw	single	{*}	0	"Sets the proportional gain of the velocity loop"
25  SEL_SFD_PARAM	rw	signed32	{*}	0	"Sets whether the SFD parameter settings are used OR the drive settings are used"
26  SFD_SPAN    	rw	signed32	{*}	0	"Sets whether the drive faults on any SFD communications error OR not"
27  CMD_IN 		ro	single	{*}	0	"Indicates the drive command value"
28  DINP1       	ro	signed32	{*}	0	"Indicates the state of IO input DINP1"
29  EXT_FAULTS  	ro	signed32	{*}	0	"Indicates the drive extended fault code"
30  HS_TEMP     	ro	single	{*}	0	"Indicates the drive heat sink temperature"
31  I_FB        	ro	single	{*}	0	"Torque producing derotated current (Iq)"
32  ID_FB       	ro	single	{*}	0	"Non-torque producing derotated current (Id)"
33  LOGIC_VER   	ro	signed32	{*}	0	"Indicates the version number of the drive logic"
34  MODEL       	ro	signed32	{*}	0	"Indicates the drive model number"
35  MTEMP		ro	single	{*}	0	"Indicates the motor temperature"
36  POS_FB		ro	single	{*}	0	"Indicates instantaneous motor shaft position within one motor rev"
37  PWM_LO		ro	signed32	{*}	0	"Indicates whether the drive has switched to half base PWM frequency"
38  SERIAL_NUM		ro	string	{*}	0	"Indicates the drive serial number"
39  SETUP_S1		ro	signed32	{*}	0	"Indicates the state of the drive rotary switch S1"
40  SETUP_S2		ro	signed32	{*}	0	"Indicates the state of the drive dip switch S2"
41  SFD_EXT_FAULTS	ro	signed32	{*}	0	"Indicates the faultcode of the SFD"
42  SIX_STEP		ro	signed32	{*}	0	"Indicates whether the drive is using six step or sinusoidal commutation"
43  V_BUS		ro	single	{*}	0	"Indicates the drive bus voltage"
44  VER_LW		ro	string	{*}	0	"Indicates the version number of the drive firmware"
45  VELOCITY 		ro	signed32	{*}	0	"Indicates the filtered shaft feedback velocity"
46  SFD_POS_MT    	ro	signed32	{*}	0	"Indicates the instantaneous motor shaft position in units of multi-turns from the SFD feedback"
47  AUX_FB_DIVISOR      	rw	unsigned32	{*}	0	""
48  AUX_FB_TYPE		rw	enumerated	{0x0=A_QUAD_B_HALLS,0x1=VPP_SIN_COS_HALLS,0x8=A_QUAD_B,0x9=VPP_SIN_COS,0xF=EN_DAT  }	8	""
49  FB_SRC		rw	unsigned32	{*}	0	""
50  AUX_FB_COM_ANG	ro	single	{*}	0	""
51  AUX_FB_ENDAT_FLT	ro	unsigned32	{*}	0	""
52  AUX_FB_HALL_FLT	ro	unsigned32	{*}	0	""
53  AUX_FB_SCD_FLT	ro	unsigned32	{*}	0	""
54  AUX_FB_PTC_FLT	ro	unsigned32	{*}	0	""
57  SFDMEMORY_DPOLES    	ro	unsigned32	{*}	0	"Data From SFD -"
58  SFDMEMORY_LQLL	ro	single	{*}	0	"Data From SFD - "
59  SFDMEMORY_LDLL	ro	single	{*}	0	"Data From SFD - "
60  SFDMEMORY_MOT_T_LIM	ro	unsigned32	{*}	0	"Data From SFD - "
61  SFDMEMORY_KVP_AUTO	ro	single	{*}	0	"Data From SFD - "
62  SFDMEMORY_MI_PEAK	ro	single	{*}	0	"Data From SFD - "
63  SFDMEMORY_MI_CONT	ro	single  	{*}	0	"Data From SFD - "
64  SFDMEMORY_MTF0	ro	single	{*}	0	"Data From SFD - "
65  SFDMEMORY_MPOLES	ro	unsigned32	{*}	0	"Data From SFD - "
66  SFDMEMORY_KE	ro	single	{*}	0	"Data From SFD - "
67  SFDMEMORY_KT	ro	single	{*}	0	"Data From SFD - "
68  SFDMEMORY_RLL	ro	single  	{*}	0	"Data From SFD - "
69  SFDMEMORY_KDV	ro	single  	{*}	0	"Data From SFD - "
70  SFDMEMORY_JMTOT	ro	single  	{*}	0	"Data From SFD - "
71  SFDMEMORY_MEM_VER	ro	unsigned32	{0~255}	0	"Data From SFD -SFD memory version 0= not installed. "
72  SFDMEMORY_DC_YEAR	ro	unsigned32	{2000~2999}	2000	"Data From SFD - "
73  SFDMEMORY_DC_WEEK	ro	unsigned32	{*}	0	"Data From SFD - "
74  SFDMEMORY_M_NUM	ro	string  	{*}	0	"Data From SFD - "
75  ENC_OUT_PPR		rw	unsigned32	{0~65535}	32768	"EncOut pulses per rev"
76  KVI_0		rw	single	{*}	0	"KVI gain table 0"	
77  KVI_1		rw	single	{*}	0	"KVI gain table 1" 	
78  KVI_2		rw	single	{*}	0	"KVI gain table 2"	
79  KVI_3		rw	single	{*}	0	"KVI gain table 3"	
80  KVI_4		rw	single	{*}	0	"KVI gain table 4"	
81  KVI_5		rw	single	{*}	0	"KVI gain table 5"	
82  KVI_6		rw	single	{*}	0	"KVI gain table 6" 	
83  KVI_7		rw	single	{*}	0	"KVI gain table 7" 	
84  KVP_0		rw	single	{*}	0	"KVP gain table 0" 	
85  KVP_1		rw	single	{*}	0	"KVP gain table 1"  	
86  KVP_2		rw	single	{*}	0	"KVP gain table 2"  	
87  KVP_3		rw	single	{*}	0	"KVP gain table 3"  	
88  KVP_4		rw	single	{*}	0	"KVP gain table 4"  	
89  KVP_5		rw	single	{*}	0	"KVP gain table 5"  	
90  KVP_6		rw	single	{*}	0	"KVP gain table 6"  	
91  KVP_7		rw	single	{*}	0	"KVP gain table 7" 
92  ENC_OUT_OFFSET	rw	unsigned32	{0~65535}	0	"EncOut Z pulse offset" 
93  KIP_0		rw	single	{*}	0	"KIP gain table 0"	
93  KIP_1		rw	single	{*}	0	"KIP gain table 1"	
93  KIP_2		rw	single	{*}	0	"KIP gain table 2"	
93  KIP_3		rw	single	{*}	0	"KIP gain table 3"	
93  KIP_4		rw	single	{*}	0	"KIP gain table 4"	
93  KIP_5		rw	single	{*}	0	"KIP gain table 5"	
93  KIP_6		rw	single	{*}	0	"KIP gain table 6"	
93  KIP_7		rw	single	{*}	0	"KIP gain table 7"
94  LICMD		ro	single	{*}	0	"Latch current command"
	
#config
SEL_SFD_PARAM
ARF0
ARF1
BAT_F_DIS
CMD_F0
CMD_SRC
COMM_MODE
COMM_OFF    
DINP1_POL   
DINP2_POL   
DINP3_POL   
DINP4_POL   
HS_INP1_POL 
DM1_MAP     
DM2_MAP     
D_POLES     
ENC_OUT     
FLT_DIAG    
I2T_F0      
I2T_TRIP 
I_LMT_PLUS  
I_LMT_MINUS 
IT_MODE     
KIP 
KVI         
KVP 
SFD_SPAN    
LOGIC_VER   
MODEL       
SIX_STEP
VER_LW
AUX_FB_DIVISOR
AUX_FB_TYPE
FB_SRC
ENC_OUT_PPR
ENC_OUT_OFFSET
#end
# "Kollmorgen S200" "3.2l" "3.2m" "102.0a" "102.0b" "102.0c" "102.0d" "100.0a" "100.0b" "100.0c"
#parameters
0   ARF0		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #1"
1   ARF1		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #2"
2   BAT_F_DIS		rw	signed32	{*}	0	"Selects between enabling or disabling the battery low fault"
3   CMD_F0		rw	single	{*}	0	"Sets the break frequency for the low pass filter applied to the command"
4   CMD_SRC		rw	signed32	{*}	0	"Selects the source of the command to be delivered"
5   COMM_MODE		rw	signed32	{*}	0	"Sets the drive mode of commutation"
6   COMM_OFF    	rw	single	{*}	0	"Sets the commutation offset value"
7   DINP1_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP1"
8   DINP2_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP2"
9   DINP3_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP3"
10  DINP4_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP4"
11  HS_INP1_POL 	rw	signed32	{*}	0	"Selects the input polarity of HSInp1"
12  DM1_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon1 output pin"
13  DM2_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon2 output pin"
14  D_POLES     	rw	signed32	{*}	0	"Sets the motor pole count"
15  ENC_OUT     	rw	signed32	{*}	0	"Selects the emulated encoders output line count"
16  FLT_DIAG    	rw	signed32	{*}	0	"Select between the DOUT1 line being a standard drive faulted output OR a diagnostic blink code output"
17  I2T_F0      	rw	single	{*}	0	"Sets the break frequency of the low pass filter for the I2T fault"
18  I2T_TRIP 		rw	single	{*}	0	"Sets the I2T fault trip level"
19  I_LMT_PLUS  	rw	signed32	{*}	0	"Sets the clockwise current limit"
20  I_LMT_MINUS 	rw	signed32	{*}	0	"Sets the counter-clockwise current limit"
21  IT_MODE     	rw	signed32	{*}	0	"Selects whether the drive I*T faults or automatically folds back current limits"
22  KIP 		rw	single	{*}	0	"Sets the proportional gain of the current loop"
23  KVI         	rw	single	{*}	0	"Sets the integral gain of the velocity loop"
24  KVP 		rw	single	{*}	0	"Sets the proportional gain of the velocity loop"
25  SEL_SFD_PARAM	rw	signed32	{*}	0	"Sets whether the SFD parameter settings are used OR the drive settings are used"
26  SFD_SPAN    	rw	signed32	{*}	0	"Sets whether the drive faults on any SFD communications error OR not"
27  CMD_IN 		ro	single	{*}	0	"Indicates the drive command value"
28  DINP1       	ro	signed32	{*}	0	"Indicates the state of IO input DINP1"
29  EXT_FAULTS  	ro	signed32	{*}	0	"Indicates the drive extended fault code"
30  HS_TEMP     	ro	single	{*}	0	"Indicates the drive heat sink temperature"
31  I_FB        	ro	single	{*}	0	"Torque producing derotated current (Iq)"
32  ID_FB       	ro	single	{*}	0	"Non-torque producing derotated current (Id)"
33  LOGIC_VER   	ro	signed32	{*}	0	"Indicates the version number of the drive logic"
34  MODEL       	ro	signed32	{*}	0	"Indicates the drive model number"
35  MTEMP		ro	single	{*}	0	"Indicates the motor temperature"
36  POS_FB		ro	single	{*}	0	"Indicates instantaneous motor shaft position within one motor rev"
37  PWM_LO		ro	signed32	{*}	0	"Indicates whether the drive has switched to half base PWM frequency"
38  SERIAL_NUM		ro	string	{*}	0	"Indicates the drive serial number"
39  SETUP_S1		ro	signed32	{*}	0	"Indicates the state of the drive rotary switch S1"
40  SETUP_S2		ro	signed32	{*}	0	"Indicates the state of the drive dip switch S2"
41  SFD_EXT_FAULTS	ro	signed32	{*}	0	"Indicates the faultcode of the SFD"
42  SIX_STEP		ro	signed32	{*}	0	"Indicates whether the drive is using six step or sinusoidal commutation"
43  V_BUS		ro	single	{*}	0	"Indicates the drive bus voltage"
44  VER_LW		ro	string	{*}	0	"Indicates the version number of the drive firmware"
45  VELOCITY 		ro	signed32	{*}	0	"Indicates the filtered shaft feedback velocity"
46  SFD_POS_MT    	ro	signed32	{*}	0	"Indicates the instantaneous motor shaft position in units of multi-turns from the SFD feedback"
47  AUX_FB_DIVISOR      rw	unsigned32	{*}	0	""
48  AUX_FB_TYPE		rw	enumerated	{0xB0=A_QUAD_B_HALLS,0xB1=VPP_SIN_COS_HALLS,0xB8=A_QUAD_B,0xB9=VPP_SIN_COS,0xBF=EN_DAT,0xBD=EN_DAT_LIN,0x38=MIT.  }	0xB8	"AuxFBType"
49  FB_SRC		rw	unsigned32	{*}	0	""
50  AUX_FB_COM_ANG	ro	single	{*}	0	""
51  AUX_FB_ENDAT_FLT	ro	unsigned32	{*}	0	""
52  AUX_FB_HALL_FLT	ro	unsigned32	{*}	0	""
53  AUX_FB_SCD_FLT	ro	unsigned32	{*}	0	""
54  AUX_FB_PTC_FLT	ro	unsigned32	{*}	0	""
57  SFDMEMORY_DPOLES    ro	unsigned32	{*}	0	"Data From SFD -"
58  SFDMEMORY_LQLL	ro	single	{*}	0	"Data From SFD - "
59  SFDMEMORY_LDLL	ro	single	{*}	0	"Data From SFD - "
60  SFDMEMORY_MOT_T_LIM	ro	unsigned32	{*}	0	"Data From SFD - "
61  SFDMEMORY_KVP_AUTO	ro	single	{*}	0	"Data From SFD - "
62  SFDMEMORY_MI_PEAK	ro	single	{*}	0	"Data From SFD - "
63  SFDMEMORY_MI_CONT	ro	single  	{*}	0	"Data From SFD - "
64  SFDMEMORY_MTF0	ro	single	{*}	0	"Data From SFD - "
65  SFDMEMORY_MPOLES	ro	unsigned32	{*}	0	"Data From SFD - "
66  SFDMEMORY_KE	ro	single	{*}	0	"Data From SFD - "
67  SFDMEMORY_KT	ro	single	{*}	0	"Data From SFD - "
68  SFDMEMORY_RLL	ro	single  	{*}	0	"Data From SFD - "
69  SFDMEMORY_KDV	ro	single  	{*}	0	"Data From SFD - "
70  SFDMEMORY_JMTOT	ro	single  	{*}	0	"Data From SFD - "
71  SFDMEMORY_MEM_VER	ro	unsigned32	{0~255}	0	"Data From SFD -SFD memory version 0= not installed. "
72  SFDMEMORY_DC_YEAR	ro	unsigned32	{2000~2999}	2000	"Data From SFD - "
73  SFDMEMORY_DC_WEEK	ro	unsigned32	{*}	0	"Data From SFD - "
74  SFDMEMORY_M_NUM	ro	string  	{*}	0	"Data From SFD - "
75  ENC_OUT_PPR		rw	unsigned32	{0~65535}	32768	"EncOut pulses per rev"
76  KVI_0		rw	single	{*}	0	"KVI gain table 0"	
77  KVI_1		rw	single	{*}	0	"KVI gain table 1" 	
78  KVI_2		rw	single	{*}	0	"KVI gain table 2"	
79  KVI_3		rw	single	{*}	0	"KVI gain table 3"	
80  KVI_4		rw	single	{*}	0	"KVI gain table 4"	
81  KVI_5		rw	single	{*}	0	"KVI gain table 5"	
82  KVI_6		rw	single	{*}	0	"KVI gain table 6" 	
83  KVI_7		rw	single	{*}	0	"KVI gain table 7" 	
84  KVP_0		rw	single	{*}	0	"KVP gain table 0" 	
85  KVP_1		rw	single	{*}	0	"KVP gain table 1"  	
86  KVP_2		rw	single	{*}	0	"KVP gain table 2"  	
87  KVP_3		rw	single	{*}	0	"KVP gain table 3"  	
88  KVP_4		rw	single	{*}	0	"KVP gain table 4"  	
89  KVP_5		rw	single	{*}	0	"KVP gain table 5"  	
90  KVP_6		rw	single	{*}	0	"KVP gain table 6"  	
91  KVP_7		rw	single	{*}	0	"KVP gain table 7" 
92  ENC_OUT_OFFSET	rw	unsigned32	{0~65535}	0	"EncOut Z pulse offset" 
93  KIP_0		rw	single	{*}	0	"KIP gain table 0"	
93  KIP_1		rw	single	{*}	0	"KIP gain table 1"	
93  KIP_2		rw	single	{*}	0	"KIP gain table 2"	
93  KIP_3		rw	single	{*}	0	"KIP gain table 3"	
93  KIP_4		rw	single	{*}	0	"KIP gain table 4"	
93  KIP_5		rw	single	{*}	0	"KIP gain table 5"	
93  KIP_6		rw	single	{*}	0	"KIP gain table 6"	
93  KIP_7		rw	single	{*}	0	"KIP gain table 7"
94  LICMD		ro	single	{*}	0	"Latch current command"
95  AFBMITCMD		rw	enumerated	{0x01=ID,0x85=ID1,0x89=ID2,0x0D=ID3,0x19=ID6,0x9d=ID7.}	0x01	"Mitutoyo command register"
96  AFBMITCMDEN		rw	enumerated	{0x00=DISABLE,0x01=ENABLE.} 0x00	"Mitutoyo command enable"
97  AFBMITFAULTS	ro	unsigned32	{*}	0	"Mitutoyo faults"
98  AFBMITALARMS	ro	unsigned32	{*}	0	"Mitutoyo alarms"
#config
SEL_SFD_PARAM
ARF0
ARF1
BAT_F_DIS
CMD_F0
CMD_SRC
COMM_MODE
COMM_OFF    
DINP1_POL   
DINP2_POL   
DINP3_POL   
DINP4_POL   
HS_INP1_POL 
DM1_MAP     
DM2_MAP     
D_POLES     
ENC_OUT     
FLT_DIAG    
I2T_F0      
I2T_TRIP 
I_LMT_PLUS  
I_LMT_MINUS 
IT_MODE     
KIP 
KVI         
KVP 
SFD_SPAN    
LOGIC_VER   
MODEL       
SIX_STEP
VER_LW
AUX_FB_DIVISOR
AUX_FB_TYPE
FB_SRC
ENC_OUT_PPR
ENC_OUT_OFFSET
#end
# "Kollmorgen S200" "4.0g" "4.0f"
#parameters
0   ARF0		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #1"
1   ARF1		rw	single	{*}	0	"Sets the break frequency for the anti-resonance low pass filter #2"
2   BAT_F_DIS		rw	signed32	{*}	0	"Selects between enabling or disabling the battery low fault"
3   CMD_F0		rw	single	{*}	0	"Sets the break frequency for the low pass filter applied to the command"
4   CMD_SRC		rw	signed32	{*}	0	"Selects the source of the command to be delivered"
5   COMM_MODE		rw	signed32	{*}	0	"Sets the drive mode of commutation"
6   COMM_OFF    	rw	single	{*}	0	"Sets the commutation offset value"
7   DINP1_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP1"
8   DINP2_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP2"
9   DINP3_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP3"
10  DINP4_POL   	rw	signed32	{*}	0	"Selects the input polarity of DINP4"
11  HS_INP1_POL 	rw	signed32	{*}	0	"Selects the input polarity of HSInp1"
12  DM1_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon1 output pin"
13  DM2_MAP     	rw	signed32	{*}	0	"Selects the variable to be mapped to the DACMon2 output pin"
14  D_POLES     	rw	signed32	{*}	0	"Sets the motor pole count"
15  ENC_OUT     	rw	signed32	{*}	0	"Selects the emulated encoders output line count"
16  FLT_DIAG    	rw	signed32	{*}	0	"Select between the DOUT1 line being a standard drive faulted output OR a diagnostic blink code output"
17  I2T_F0      	rw	single	{*}	0	"Sets the break frequency of the low pass filter for the I2T fault"
18  I2T_TRIP 		rw	single	{*}	0	"Sets the I2T fault trip level"
19  I_LMT_PLUS  	rw	signed32	{*}	0	"Sets the clockwise current limit"
20  I_LMT_MINUS 	rw	signed32	{*}	0	"Sets the counter-clockwise current limit"
21  IT_MODE     	rw	signed32	{*}	0	"Selects whether the drive I*T faults or automatically folds back current limits"
22  KIP 		rw	single	{*}	0	"Sets the proportional gain of the current loop"
23  KVI         	rw	single	{*}	0	"Sets the integral gain of the velocity loop"
24  KVP 		rw	single	{*}	0	"Sets the proportional gain of the velocity loop"
25  SEL_SFD_PARAM	rw	signed32	{*}	0	"Sets whether the SFD parameter settings are used OR the drive settings are used"
26  SFD_SPAN    	rw	signed32	{*}	0	"Sets whether the drive faults on any SFD communications error OR not"
27  CMD_IN 		ro	single	{*}	0	"Indicates the drive command value"
28  DINP1       	ro	signed32	{*}	0	"Indicates the state of IO input DINP1"
29  EXT_FAULTS  	ro	signed32	{*}	0	"Indicates the drive extended fault code"
30  HS_TEMP     	ro	single	{*}	0	"Indicates the drive heat sink temperature"
31  I_FB        	ro	single	{*}	0	"Torque producing derotated current (Iq)"
32  ID_FB       	ro	single	{*}	0	"Non-torque producing derotated current (Id)"
33  LOGIC_VER   	ro	signed32	{*}	0	"Indicates the version number of the drive logic"
34  MODEL       	ro	signed32	{*}	0	"Indicates the drive model number"
35  MTEMP		ro	single	{*}	0	"Indicates the motor temperature"
36  POS_FB		ro	single	{*}	0	"Indicates instantaneous motor shaft position within one motor rev"
37  PWM_LO		ro	signed32	{*}	0	"Indicates whether the drive has switched to half base PWM frequency"
38  SERIAL_NUM		ro	string	{*}	0	"Indicates the drive serial number"
39  SETUP_S1		ro	signed32	{*}	0	"Indicates the state of the drive rotary switch S1"
40  SETUP_S2		ro	signed32	{*}	0	"Indicates the state of the drive dip switch S2"
41  SFD_EXT_FAULTS	ro	signed32	{*}	0	"Indicates the faultcode of the SFD"
42  SIX_STEP		ro	signed32	{*}	0	"Indicates whether the drive is using six step or sinusoidal commutation"
43  V_BUS		ro	single	{*}	0	"Indicates the drive bus voltage"
44  VER_LW		ro	string	{*}	0	"Indicates the version number of the drive firmware"
45  VELOCITY 		ro	signed32	{*}	0	"Indicates the filtered shaft feedback velocity"
46  SFD_POS_MT    	ro	signed32	{*}	0	"Indicates the instantaneous motor shaft position in units of multi-turns from the SFD feedback"
47  AUX_FB_DIVISOR      rw	unsigned32	{*}	0	""
48  AUX_FB_TYPE		rw	enumerated	{0xB0=A_QUAD_B_HALLS,0xB1=VPP_SIN_COS_HALLS,0xB8=A_QUAD_B,0xB9=VPP_SIN_COS,0xBF=EN_DAT,0xBD=EN_DAT_LIN,0x38=MIT.  }	0xB8	"AuxFBType"
49  FB_SRC		rw	unsigned32	{*}	0	""
50  AUX_FB_COM_ANG	ro	single	{*}	0	""
51  AUX_FB_ENDAT_FLT	ro	unsigned32	{*}	0	""
52  AUX_FB_HALL_FLT	ro	unsigned32	{*}	0	""
53  AUX_FB_SCD_FLT	ro	unsigned32	{*}	0	""
54  AUX_FB_PTC_FLT	ro	unsigned32	{*}	0	""
57  SFDMEMORY_DPOLES    ro	unsigned32	{*}	0	"Data From SFD -"
58  SFDMEMORY_LQLL	ro	single	{*}	0	"Data From SFD - "
59  SFDMEMORY_LDLL	ro	single	{*}	0	"Data From SFD - "
60  SFDMEMORY_MOT_T_LIM	ro	unsigned32	{*}	0	"Data From SFD - "
61  SFDMEMORY_KVP_AUTO	ro	single	{*}	0	"Data From SFD - "
62  SFDMEMORY_MI_PEAK	ro	single	{*}	0	"Data From SFD - "
63  SFDMEMORY_MI_CONT	ro	single  	{*}	0	"Data From SFD - "
64  SFDMEMORY_MTF0	ro	single	{*}	0	"Data From SFD - "
65  SFDMEMORY_MPOLES	ro	unsigned32	{*}	0	"Data From SFD - "
66  SFDMEMORY_KE	ro	single	{*}	0	"Data From SFD - "
67  SFDMEMORY_KT	ro	single	{*}	0	"Data From SFD - "
68  SFDMEMORY_RLL	ro	single  	{*}	0	"Data From SFD - "
69  SFDMEMORY_KDV	ro	single  	{*}	0	"Data From SFD - "
70  SFDMEMORY_JMTOT	ro	single  	{*}	0	"Data From SFD - "
71  SFDMEMORY_MEM_VER	ro	unsigned32	{0~255}	0	"Data From SFD -SFD memory version 0= not installed. "
72  SFDMEMORY_DC_YEAR	ro	unsigned32	{2000~2999}	2000	"Data From SFD - "
73  SFDMEMORY_DC_WEEK	ro	unsigned32	{*}	0	"Data From SFD - "
74  SFDMEMORY_M_NUM	ro	string  	{*}	0	"Data From SFD - "
75  ENC_OUT_PPR		rw	unsigned32	{0~65535}	32768	"EncOut pulses per rev"
76  KVI_0		rw	single	{*}	0	"KVI gain table 0"	
77  KVI_1		rw	single	{*}	0	"KVI gain table 1" 	
78  KVI_2		rw	single	{*}	0	"KVI gain table 2"	
79  KVI_3		rw	single	{*}	0	"KVI gain table 3"	
80  KVI_4		rw	single	{*}	0	"KVI gain table 4"	
81  KVI_5		rw	single	{*}	0	"KVI gain table 5"	
82  KVI_6		rw	single	{*}	0	"KVI gain table 6" 	
83  KVI_7		rw	single	{*}	0	"KVI gain table 7" 	
84  KVP_0		rw	single	{*}	0	"KVP gain table 0" 	
85  KVP_1		rw	single	{*}	0	"KVP gain table 1"  	
86  KVP_2		rw	single	{*}	0	"KVP gain table 2"  	
87  KVP_3		rw	single	{*}	0	"KVP gain table 3"  	
88  KVP_4		rw	single	{*}	0	"KVP gain table 4"  	
89  KVP_5		rw	single	{*}	0	"KVP gain table 5"  	
90  KVP_6		rw	single	{*}	0	"KVP gain table 6"  	
91  KVP_7		rw	single	{*}	0	"KVP gain table 7" 
92  ENC_OUT_OFFSET	rw	unsigned32	{0~65535}	0	"EncOut Z pulse offset" 
93  KIP_0		rw	single	{*}	0	"KIP gain table 0"	
93  KIP_1		rw	single	{*}	0	"KIP gain table 1"	
93  KIP_2		rw	single	{*}	0	"KIP gain table 2"	
93  KIP_3		rw	single	{*}	0	"KIP gain table 3"	
93  KIP_4		rw	single	{*}	0	"KIP gain table 4"	
93  KIP_5		rw	single	{*}	0	"KIP gain table 5"	
93  KIP_6		rw	single	{*}	0	"KIP gain table 6"	
93  KIP_7		rw	single	{*}	0	"KIP gain table 7"
94  LICMD		ro	single	{*}	0	"Latch current command"
102  FBTYPE		rw	signed32	{*}	15	"Feedback type"
103  FILTERTYPE		rw	signed32	{*}	3	"Filter type"
#config
ARF0		
ARF1		
AUX_FB_DIVISOR
AUX_FB_TYPE	
BAT_F_DIS	
CMD_F0		
CMD_SRC		
COMM_MODE	
COMM_OFF    
DINP1_POL   
DINP2_POL   
DINP3_POL   
DINP4_POL   
HS_INP1_POL 
DM1_MAP     
DM2_MAP     
D_POLES     
ENC_OUT     
ENC_OUT_PPR	
ENC_OUT_OFFSET
FB_SRC		
FBTYPE		
FILTERTYPE	
FLT_DIAG    
I2T_F0      
I2T_TRIP 	
I_LMT_MINUS 
I_LMT_PLUS  
IT_MODE     
KIP 		
KVI         
KVP 		
LOGIC_VER   
MODEL       
SEL_SFD_PARAM
SFD_SPAN    
VER_LW
#end
